Skip to main content
POST
/
api
/
agent
/
recon
/
v1
/
yaml
/
render
RenderYaml
curl --request POST \
  --url https://developer.synq.io/api/agent/recon/v1/yaml/render \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "suite": {
    "name": "<string>",
    "title": "<string>",
    "description": "<string>",
    "reconciliations": [
      {
        "name": "<string>",
        "source": {
          "connection": "<string>",
          "query": "<string>",
          "asOf": "<string>"
        },
        "target": {
          "connection": "<string>",
          "query": "<string>",
          "asOf": "<string>"
        },
        "title": "<string>",
        "description": "<string>",
        "keyColumn": "<string>",
        "mode": "RECONCILATION_MODE_UNSPECIFIED",
        "hashAlgorithm": "HASH_ALGORITHM_UNSPECIFIED",
        "columnMapping": [
          {
            "source": "<string>",
            "target": "<string>"
          }
        ],
        "caseInsensitive": true,
        "bisection": {
          "enabled": true,
          "factor": 513,
          "threshold": 2,
          "strategy": "SEGMENTATION_STRATEGY_UNSPECIFIED",
          "timeColumn": "<string>",
          "timeGranularity": "TIME_GRANULARITY_UNSPECIFIED"
        },
        "reporting": {
          "level": "REPORTING_LEVEL_UNSPECIFIED",
          "sampleLimit": 2,
          "consentAcknowledged": true
        },
        "aggregate": {
          "measures": [
            {
              "column": "<string>",
              "functions": [
                "AGGREGATE_FUNCTION_UNSPECIFIED"
              ]
            }
          ],
          "thresholds": {
            "absolute": 1,
            "percentage": 1,
            "percentageMode": "PERCENTAGE_MODE_UNSPECIFIED",
            "perColumn": [
              {
                "column": "<string>",
                "thresholds": "<unknown>"
              }
            ],
            "perMeasure": [
              {
                "column": "<string>",
                "thresholds": "<unknown>",
                "function": "AGGREGATE_FUNCTION_UNSPECIFIED"
              }
            ]
          },
          "groupColumns": [
            "<string>"
          ]
        },
        "errorHandling": {
          "queryTimeout": "<string>",
          "maxRetries": 5,
          "retryInitialDelay": "<string>",
          "retryBackoffFactor": 2
        },
        "window": {
          "lookback": "<string>",
          "column": "<string>",
          "strategy": "WINDOW_STRATEGY_UNSPECIFIED"
        },
        "setup": [
          {
            "connection": "<string>",
            "queries": [
              "<string>"
            ]
          }
        ],
        "teardown": [
          {
            "connection": "<string>",
            "queries": [
              "<string>"
            ]
          }
        ],
        "teardownOnFailure": true,
        "ignoreSetupErrors": true
      }
    ],
    "setup": [
      {
        "connection": "<string>",
        "queries": [
          "<string>"
        ]
      }
    ],
    "teardown": [
      {
        "connection": "<string>",
        "queries": [
          "<string>"
        ]
      }
    ],
    "teardownOnFailure": true,
    "ignoreSetupErrors": true,
    "variables": {},
    "strictTimeReferences": true
  }
}
'
{
  "yaml": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
suite
ReconcilationSuite · object

The suite configuration to render as YAML.

Response

200 - application/json

Success

yaml
string

The rendered YAML config string.